Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
2c2ae65df6fe740a192f14c2c04d78d7c7161369
[simgrid.git] / examples / java / comm_time / Makefile.in
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (c) 2004-2007. The SimGrid team. All right reserved.
18
19 # This file is part of the SimGrid project. This is free software:
20 # You can redistribute and/or modify it under the terms of the
21 # GNU LGPL (v2.1) licence.
22
23 #########################
24 # How to compile the code
25 # All this to only get a dumb javac *java... Automake still have issues with java
26
27 # Makefile chunk which allows to display the files which should be included
28 # into the distribution.
29
30 # It is intended to be included in all Makefile.am 
31 VPATH = @srcdir@
32 pkgdatadir = $(datadir)/@PACKAGE@
33 pkglibdir = $(libdir)/@PACKAGE@
34 pkgincludedir = $(includedir)/@PACKAGE@
35 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
36 install_sh_DATA = $(install_sh) -c -m 644
37 install_sh_PROGRAM = $(install_sh) -c
38 install_sh_SCRIPT = $(install_sh) -c
39 INSTALL_HEADER = $(INSTALL_DATA)
40 transform = $(program_transform_name)
41 NORMAL_INSTALL = :
42 PRE_INSTALL = :
43 POST_INSTALL = :
44 NORMAL_UNINSTALL = :
45 PRE_UNINSTALL = :
46 POST_UNINSTALL = :
47 build_triplet = @build@
48 host_triplet = @host@
49 target_triplet = @target@
50 DIST_COMMON = $(srcdir)/../java_test.mk $(srcdir)/Makefile.am \
51         $(srcdir)/Makefile.in $(top_srcdir)/acmacro/dist-files.mk
52 subdir = examples/java/comm_time
53 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
54 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
55         $(top_srcdir)/acmacro/compiler-flags.m4 \
56         $(top_srcdir)/acmacro/context.m4 \
57         $(top_srcdir)/acmacro/fancy_configury.m4 \
58         $(top_srcdir)/acmacro/flex.m4 \
59         $(top_srcdir)/acmacro/gras_arch.m4 \
60         $(top_srcdir)/acmacro/print_null.m4 \
61         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
62 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
63         $(ACLOCAL_M4)
64 mkinstalldirs = $(install_sh) -d
65 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
66 CONFIG_CLEAN_FILES =
67 SOURCES =
68 DIST_SOURCES =
69 CLASSPATH_ENV = CLASSPATH=$(JAVAROOT):$(srcdir)/$(JAVAROOT):$$CLASSPATH
70 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
71 ACLOCAL = @ACLOCAL@
72 ADDR2LINE = @ADDR2LINE@
73 AMTAR = @AMTAR@
74 AM_CPPFLAGS = @AM_CPPFLAGS@
75 AR = @AR@
76 AS = @AS@
77 AUTOCONF = @AUTOCONF@
78 AUTOHEADER = @AUTOHEADER@
79 AUTOMAKE = @AUTOMAKE@
80 AWK = @AWK@
81 BASH = @BASH@
82 CC = @CC@
83 CCDEPMODE = @CCDEPMODE@
84 CFLAGS = @CFLAGS@
85 CPP = @CPP@
86 CPPFLAGS = @CPPFLAGS@
87 CXX = @CXX@
88 CXXCPP = @CXXCPP@
89 CXXDEPMODE = @CXXDEPMODE@
90 CXXFLAGS = @CXXFLAGS@
91 CYGPATH_W = @CYGPATH_W@
92 DEFS = @DEFS@
93 DEPDIR = @DEPDIR@
94 DLLTOOL = @DLLTOOL@
95 DOXYGEN = @DOXYGEN@
96 DSYMUTIL = @DSYMUTIL@
97 ECHO = @ECHO@
98 ECHO_C = @ECHO_C@
99 ECHO_N = @ECHO_N@
100 ECHO_T = @ECHO_T@
101 EGREP = @EGREP@
102 EXEEXT = @EXEEXT@
103 FLEXML = @FLEXML@
104 GCJ = @GCJ@
105 GCJDEPMODE = @GCJDEPMODE@
106 GCJFLAGS = @GCJFLAGS@
107 GRAS_DEP = @GRAS_DEP@
108 GREP = @GREP@
109 INSTALL = @INSTALL@
110 INSTALL_DATA = @INSTALL_DATA@
111 INSTALL_PROGRAM = @INSTALL_PROGRAM@
112 INSTALL_SCRIPT = @INSTALL_SCRIPT@
113 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
114 JAR = @JAR@
115 JAVA = @JAVA@
116 JAVAC = @JAVAC@
117 LDFLAGS = @LDFLAGS@
118 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
119 LEX = @LEX@
120 LEXLIB = @LEXLIB@
121 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
122 LIBOBJS = @LIBOBJS@
123 LIBS = @LIBS@
124 LIBTOOL = @LIBTOOL@
125 LN_S = @LN_S@
126 LTLIBOBJS = @LTLIBOBJS@
127 MAINT = @MAINT@
128 MAKEINFO = @MAKEINFO@
129 MD5SUM = @MD5SUM@
130 MKDIR_P = @MKDIR_P@
131 NMEDIT = @NMEDIT@
132 OBJDUMP = @OBJDUMP@
133 OBJEXT = @OBJEXT@
134 PACKAGE = @PACKAGE@
135 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
136 PACKAGE_NAME = @PACKAGE_NAME@
137 PACKAGE_STRING = @PACKAGE_STRING@
138 PACKAGE_TARNAME = @PACKAGE_TARNAME@
139 PACKAGE_VERSION = @PACKAGE_VERSION@
140 PATH_SEPARATOR = @PATH_SEPARATOR@
141 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
142 RANLIB = @RANLIB@
143 SED = @SED@
144 SET_MAKE = @SET_MAKE@
145 SHELL = @SHELL@
146 SIMGRID_DEP = @SIMGRID_DEP@
147 SMPI_DEP = @SMPI_DEP@
148 STRIP = @STRIP@
149 VERSION = @VERSION@
150 WARNING = @WARNING@
151 abs_builddir = @abs_builddir@
152 abs_srcdir = @abs_srcdir@
153 abs_top_builddir = @abs_top_builddir@
154 abs_top_srcdir = @abs_top_srcdir@
155 ac_configure_args = @ac_configure_args@
156 ac_ct_CC = @ac_ct_CC@
157 ac_ct_CXX = @ac_ct_CXX@
158 am__include = @am__include@
159 am__leading_dot = @am__leading_dot@
160 am__quote = @am__quote@
161 am__tar = @am__tar@
162 am__untar = @am__untar@
163 bindir = @bindir@
164 build = @build@
165 build_alias = @build_alias@
166 build_cpu = @build_cpu@
167 build_id = @build_id@
168 build_os = @build_os@
169 build_vendor = @build_vendor@
170 builddir = @builddir@
171 datadir = @datadir@
172 datarootdir = @datarootdir@
173 docdir = @docdir@
174 dvidir = @dvidir@
175 exec_prefix = @exec_prefix@
176 host = @host@
177 host_alias = @host_alias@
178 host_cpu = @host_cpu@
179 host_os = @host_os@
180 host_vendor = @host_vendor@
181 htmldir = @htmldir@
182 includedir = @includedir@
183 infodir = @infodir@
184 install_sh = @install_sh@
185 libdir = @libdir@
186 libexecdir = @libexecdir@
187 localedir = @localedir@
188 localstatedir = @localstatedir@
189 mandir = @mandir@
190 mkdir_p = @mkdir_p@
191 oldincludedir = @oldincludedir@
192 pdfdir = @pdfdir@
193 prefix = @prefix@
194 program_transform_name = @program_transform_name@
195 psdir = @psdir@
196 pth_skaddr_makecontext = @pth_skaddr_makecontext@
197 pth_sksize_makecontext = @pth_sksize_makecontext@
198 sbindir = @sbindir@
199 sharedstatedir = @sharedstatedir@
200 srcdir = @srcdir@
201 sysconfdir = @sysconfdir@
202 target = @target@
203 target_alias = @target_alias@
204 target_cpu = @target_cpu@
205 target_os = @target_os@
206 target_vendor = @target_vendor@
207 top_builddir = @top_builddir@
208 top_srcdir = @top_srcdir@
209 EXTRA_DIST = comm_time_deployment.xml comm_time_platform.xml \
210         $(JAVA_SRC)
211
212 # Declare sources:
213 JAVA_SRC = Master.java Slave.java CommTimeTest.java \
214          CommTimeTask.java FinalizeTask.java
215
216 JAVA_TESTS = CommTimeTest.class
217 TESTS = $(JAVA_TESTS)
218
219 # Declare test class
220 @HAVE_JAVA_TRUE@noinst_JAVA = $(JAVA_SRC)
221 JAVAROOT = .
222 AM_JAVACFLAGS = -classpath $(top_srcdir)/src/simgrid.jar:.
223 @HAVE_JAVA_FALSE@TESTS_ENVIRONMENT = DO_NOT_HAVE_JAVA=1 $(srcdir)/../runtest 
224
225 ##########################
226 # What to do on make check
227 # We need to rely on an external script (../runtest) because automake adds a ./ in front of the test name
228 # We need to override LD_LIBRARY_PATH so that the VM finds the libsimgrid4java.so
229 # We need to override the CLASSPATH to add simgrid.jar and current dir to the picture
230 # We also need to express dependencies manually (in each test dir)
231 # Damn...
232 @HAVE_JAVA_TRUE@TESTS_ENVIRONMENT = LD_LIBRARY_PATH="$(top_srcdir)/src/.libs:$$LD_LIBRARY_PATH" \
233 @HAVE_JAVA_TRUE@                    CLASSPATH=".:$(top_srcdir)/src/simgrid.jar:$$CLASSPATH" \
234 @HAVE_JAVA_TRUE@                    $(srcdir)/../runtest 
235
236 all: all-am
237
238 .SUFFIXES:
239 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../java_test.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
240         @for dep in $?; do \
241           case '$(am__configure_deps)' in \
242             *$$dep*) \
243               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
244                 && exit 0; \
245               exit 1;; \
246           esac; \
247         done; \
248         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/java/comm_time/Makefile'; \
249         cd $(top_srcdir) && \
250           $(AUTOMAKE) --gnu  examples/java/comm_time/Makefile
251 .PRECIOUS: Makefile
252 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
253         @case '$?' in \
254           *config.status*) \
255             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
256           *) \
257             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
258             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
259         esac;
260
261 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
262         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
263
264 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
265         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
266 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
267         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
268
269 mostlyclean-libtool:
270         -rm -f *.lo
271
272 clean-libtool:
273         -rm -rf .libs _libs
274
275 classnoinst.stamp: $(noinst_JAVA)
276         @list1='$?'; list2=; if test -n "$$list1"; then \
277           for p in $$list1; do \
278             if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
279             list2="$$list2 $$d$$p"; \
280           done; \
281           echo '$(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) '"$$list2"; \
282           $(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) $$list2; \
283         else :; fi
284         echo timestamp > classnoinst.stamp
285
286 clean-noinstJAVA:
287         -rm -f *.class classnoinst.stamp
288 tags: TAGS
289 TAGS:
290
291 ctags: CTAGS
292 CTAGS:
293
294
295 check-TESTS: $(TESTS)
296         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
297         srcdir=$(srcdir); export srcdir; \
298         list=' $(TESTS) '; \
299         if test -n "$$list"; then \
300           for tst in $$list; do \
301             if test -f ./$$tst; then dir=./; \
302             elif test -f $$tst; then dir=; \
303             else dir="$(srcdir)/"; fi; \
304             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
305               all=`expr $$all + 1`; \
306               case " $(XFAIL_TESTS) " in \
307               *$$ws$$tst$$ws*) \
308                 xpass=`expr $$xpass + 1`; \
309                 failed=`expr $$failed + 1`; \
310                 echo "XPASS: $$tst"; \
311               ;; \
312               *) \
313                 echo "PASS: $$tst"; \
314               ;; \
315               esac; \
316             elif test $$? -ne 77; then \
317               all=`expr $$all + 1`; \
318               case " $(XFAIL_TESTS) " in \
319               *$$ws$$tst$$ws*) \
320                 xfail=`expr $$xfail + 1`; \
321                 echo "XFAIL: $$tst"; \
322               ;; \
323               *) \
324                 failed=`expr $$failed + 1`; \
325                 echo "FAIL: $$tst"; \
326               ;; \
327               esac; \
328             else \
329               skip=`expr $$skip + 1`; \
330               echo "SKIP: $$tst"; \
331             fi; \
332           done; \
333           if test "$$failed" -eq 0; then \
334             if test "$$xfail" -eq 0; then \
335               banner="All $$all tests passed"; \
336             else \
337               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
338             fi; \
339           else \
340             if test "$$xpass" -eq 0; then \
341               banner="$$failed of $$all tests failed"; \
342             else \
343               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
344             fi; \
345           fi; \
346           dashes="$$banner"; \
347           skipped=""; \
348           if test "$$skip" -ne 0; then \
349             skipped="($$skip tests were not run)"; \
350             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
351               dashes="$$skipped"; \
352           fi; \
353           report=""; \
354           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
355             report="Please report to $(PACKAGE_BUGREPORT)"; \
356             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
357               dashes="$$report"; \
358           fi; \
359           dashes=`echo "$$dashes" | sed s/./=/g`; \
360           echo "$$dashes"; \
361           echo "$$banner"; \
362           test -z "$$skipped" || echo "$$skipped"; \
363           test -z "$$report" || echo "$$report"; \
364           echo "$$dashes"; \
365           test "$$failed" -eq 0; \
366         else :; fi
367
368 distdir: $(DISTFILES)
369         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
370         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
371         list='$(DISTFILES)'; \
372           dist_files=`for file in $$list; do echo $$file; done | \
373           sed -e "s|^$$srcdirstrip/||;t" \
374               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
375         case $$dist_files in \
376           */*) $(MKDIR_P) `echo "$$dist_files" | \
377                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
378                            sort -u` ;; \
379         esac; \
380         for file in $$dist_files; do \
381           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
382           if test -d $$d/$$file; then \
383             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
384             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
385               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
386             fi; \
387             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
388           else \
389             test -f $(distdir)/$$file \
390             || cp -p $$d/$$file $(distdir)/$$file \
391             || exit 1; \
392           fi; \
393         done
394 check-am: all-am
395         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
396 check: check-am
397 all-am: Makefile classnoinst.stamp
398 installdirs:
399 install: install-am
400 install-exec: install-exec-am
401 install-data: install-data-am
402 uninstall: uninstall-am
403
404 install-am: all-am
405         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
406
407 installcheck: installcheck-am
408 install-strip:
409         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
410           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
411           `test -z '$(STRIP)' || \
412             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
413 mostlyclean-generic:
414
415 clean-generic:
416
417 distclean-generic:
418         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
419
420 maintainer-clean-generic:
421         @echo "This command is intended for maintainers to use"
422         @echo "it deletes files that may require special tools to rebuild."
423 clean: clean-am
424
425 clean-am: clean-generic clean-libtool clean-noinstJAVA mostlyclean-am
426
427 distclean: distclean-am
428         -rm -f Makefile
429 distclean-am: clean-am distclean-generic
430
431 dvi: dvi-am
432
433 dvi-am:
434
435 html: html-am
436
437 info: info-am
438
439 info-am:
440
441 install-data-am:
442
443 install-dvi: install-dvi-am
444
445 install-exec-am:
446
447 install-html: install-html-am
448
449 install-info: install-info-am
450
451 install-man:
452
453 install-pdf: install-pdf-am
454
455 install-ps: install-ps-am
456
457 installcheck-am:
458
459 maintainer-clean: maintainer-clean-am
460         -rm -f Makefile
461 maintainer-clean-am: distclean-am maintainer-clean-generic
462
463 mostlyclean: mostlyclean-am
464
465 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
466
467 pdf: pdf-am
468
469 pdf-am:
470
471 ps: ps-am
472
473 ps-am:
474
475 uninstall-am:
476
477 .MAKE: install-am install-strip
478
479 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
480         clean-libtool clean-noinstJAVA distclean distclean-generic \
481         distclean-libtool distdir dvi dvi-am html html-am info info-am \
482         install install-am install-data install-data-am install-dvi \
483         install-dvi-am install-exec install-exec-am install-html \
484         install-html-am install-info install-info-am install-man \
485         install-pdf install-pdf-am install-ps install-ps-am \
486         install-strip installcheck installcheck-am installdirs \
487         maintainer-clean maintainer-clean-generic mostlyclean \
488         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
489         uninstall uninstall-am
490
491
492 # declare that we must recompile everything before lauching tests
493 $(TESTS): classnoinst.stamp
494
495 dist-files:
496         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
497         @echo
498         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
499
500 # Cruft
501 # Tell versions [3.59,3.63) of GNU make to not export all variables.
502 # Otherwise a system limit (for SysV at least) may be exceeded.
503 .NOEXPORT: